Subject: bug#31311: 27.0; doc of `pcase'

From: Michael Heerdegen <[email-masked]>
Date: Sun, 29 Apr 2018 20:31:59 +0200

Eli Zaretskii <[email-masked]> writes:

> It seems that no one really cares to document this facility.  Maybe
> 'pcase' is seen as a kind of test: if you succeed in using and
> understanding it without any clear documentation, you are admitted to
> certain quarters where only wizards can enter.
>
> What you see in the manual is mostly the result of desperate efforts
> of a single individual to have something remotely palatable in our
> documentation.

My impression was more that there were diametral conceptions of how a
good documentation would look like.  And there _has_ been some
improvements of the original (sparse) docs, I now find the docstring of
the macro itself quite good (and complete).  The texts in the manual are
not so good for otoh, I agree.

Michael.